Pipelines Add Card
curl --request POST \
--url https://app.fliqr.ai/api/pipelines/{pipeline_id}/opportunities \
--header 'Content-Type: application/json' \
--header 'X-ACCESS-TOKEN: <api-key>' \
--data '
{
"contact_id": "12345678",
"title": "This is a test opportunity",
"description": "...",
"stage_id": 12334,
"value": 300,
"status": "open",
"priority": "low",
"assigned_admins": [
55446563
],
"custom_fields": [
{
"id": 1234,
"value": "Any data"
}
]
}
'const options = {
method: 'POST',
headers: {'X-ACCESS-TOKEN': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
contact_id: '12345678',
title: 'This is a test opportunity',
description: '...',
stage_id: 12334,
value: 300,
status: 'open',
priority: 'low',
assigned_admins: [55446563],
custom_fields: [{id: 1234, value: 'Any data'}]
})
};
fetch('https://app.fliqr.ai/api/pipelines/{pipeline_id}/opportunities', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.fliqr.ai/api/pipelines/{pipeline_id}/opportunities"
payload = {
"contact_id": "12345678",
"title": "This is a test opportunity",
"description": "...",
"stage_id": 12334,
"value": 300,
"status": "open",
"priority": "low",
"assigned_admins": [55446563],
"custom_fields": [
{
"id": 1234,
"value": "Any data"
}
]
}
headers = {
"X-ACCESS-TOKEN": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"data": [
{
"id": 123,
"contact_id": 123,
"title": "<string>",
"description": "<string>",
"value": 123,
"status": "<string>",
"priority": "<string>",
"stage": {
"id": 123,
"name": "<string>"
},
"assigned_admins": [
123
],
"created_at": "2028-02-08 12:34:56",
"created_by": 123,
"updated_at": "2028-02-08 12:34:56",
"updated_by": 123
}
]
}Pipelines
Pipelines add card
Creates an opportunity / ticket.
POST
/
pipelines
/
{pipeline_id}
/
opportunities
Pipelines Add Card
curl --request POST \
--url https://app.fliqr.ai/api/pipelines/{pipeline_id}/opportunities \
--header 'Content-Type: application/json' \
--header 'X-ACCESS-TOKEN: <api-key>' \
--data '
{
"contact_id": "12345678",
"title": "This is a test opportunity",
"description": "...",
"stage_id": 12334,
"value": 300,
"status": "open",
"priority": "low",
"assigned_admins": [
55446563
],
"custom_fields": [
{
"id": 1234,
"value": "Any data"
}
]
}
'const options = {
method: 'POST',
headers: {'X-ACCESS-TOKEN': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
contact_id: '12345678',
title: 'This is a test opportunity',
description: '...',
stage_id: 12334,
value: 300,
status: 'open',
priority: 'low',
assigned_admins: [55446563],
custom_fields: [{id: 1234, value: 'Any data'}]
})
};
fetch('https://app.fliqr.ai/api/pipelines/{pipeline_id}/opportunities', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.fliqr.ai/api/pipelines/{pipeline_id}/opportunities"
payload = {
"contact_id": "12345678",
"title": "This is a test opportunity",
"description": "...",
"stage_id": 12334,
"value": 300,
"status": "open",
"priority": "low",
"assigned_admins": [55446563],
"custom_fields": [
{
"id": 1234,
"value": "Any data"
}
]
}
headers = {
"X-ACCESS-TOKEN": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"data": [
{
"id": 123,
"contact_id": 123,
"title": "<string>",
"description": "<string>",
"value": 123,
"status": "<string>",
"priority": "<string>",
"stage": {
"id": 123,
"name": "<string>"
},
"assigned_admins": [
123
],
"created_at": "2028-02-08 12:34:56",
"created_by": 123,
"updated_at": "2028-02-08 12:34:56",
"updated_by": 123
}
]
}Authorizations
API access token from your Fliqr AI dashboard (Settings → API). Send it in the X-ACCESS-TOKEN header on every request.
Path Parameters
Body
application/json
Creates an opportunity / ticket
if omitted, the the contact is added to first stage.
won is positive and lost is negative
Available options:
open, won, lost Available options:
low, medium, high Response
default - application/json
successful operation
Show child attributes
Show child attributes
Was this page helpful?
⌘I